﻿@model BeerOverflow.Web.Models.ReviewViewModel

@{
    ViewData["Title"] = "CreateReview";
}

<h1>CreateReview</h1>

<h4>You are currently writing a new review for @Model.BeerName</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateReview" asp-route-BeerName="@Model.BeerName">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            @*<div class="form-group">
                <label asp-for="BeerName" class="control-label"></label>
                <input asp-for="BeerName" class="form-control" />
                <span asp-validation-for="BeerName" class="text-danger"></span>
            </div>*@

            <div class="form-group">
                <label asp-for="Content" class="control-label"></label>
                <input asp-for="Content" class="form-control" />
                <span asp-validation-for="Content" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Rating" class="control-label"></label>
                <input asp-for="Rating" min="0" max="5" class="form-control" />
                <span asp-validation-for="Rating" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-controller="Beer" asp-action="ListBeers">Back to List</a>
</div>

